Constant
Contact
API Guide

Get all Partner Client Accounts

Make a GET call to the /partner/accounts endpoint to get details about all Constant Contact client accounts under your technology partner account.

The following example shows the client account details that the GET /partner/accounts returns:

{
    "site_owner_list": [
        {
            "encoded_account_id": "a07e1lwvtuw0",
            "subscriber_count": 10,
            "organization_name": "partner_child01",
            "site_owner_name": "Jack Box",
            "billing_status": "Trial"
        },
        {
            "encoded_account_id": "a07e1lwvtuv0",
            "subscriber_count": 350,
            "organization_name": "partner_child02",
            "site_owner_name": "Jill Hill",
            "billing_status": "Active"
        }
     ],
     "_links": {
         "next": {
            "href": "/v3/partner/accounts?offset=MTA*&limit=10"
         }
     }
}
Property NameDescription
encoded_account_idThe obfuscated ID used to uniquely identify a client account.
subscriber_countThe total number of subscriber contacts that are associated with a client account.
organization_nameThe name of the organization associated with this client account.
site_owner_nameThe user name that identifies a client account.
billing_statusThe client's Constant Contact account billing status. Billing status values include:
- Trial: This is a non-paying trial client account.
- Open : This is an active and paying client account.
- Canceled: The client account was canceled.
- Trial End: The trial period has ended for this client account.
last_login_dateThe system generated date and time (ISO-8601) showing when the client last logged into their Constant Contact account. If they have not logged into their account (the value is null), the property does not display in the results.

Parameters

In the limit path parameter, specify the number of accounts to return on each page of results. The default value is 50. Entering a limit value less than the minimum (10) or greater than the maximum (50) is ignored and the system uses the default values. Depending on the limit you specify, the system determines the offset parameter to use (number of records to skip) and includes it in the link used to get the next page of results.

Use the account_type query parameter to filter client account results by account type: all (default), managed, or unmanaged. Excluding the account_type query parameter returns all client accounts.

Example GET Partner Client Accounts Request

GET
https://api.cc.email/v3/partner/accounts?limit=50
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.cc.email/v3/partner/accounts?limit=50&account_type=managed")
  .get()
  .addHeader("x-api-key", "3d4dp123-123b-436d-97c3-0f0f502218f1")
  .addHeader("Authorization", "{access_token}")
  .addHeader("Accept", "*/*")
  .addHeader("Content-Type", "application/json")
  .addHeader("Cache-Control", "no-cache")
  .addHeader("Host", "your_host")
  .addHeader("Accept-Encoding", "gzip, deflate")
  .addHeader("Connection", "keep-alive")
  .addHeader("cache-control", "no-cache")
  .build();

Response response = client.newCall(request).execute();
View it!

Although technology partner endpoints cannot be tested using our API Reference tester, response samples and schema are available for this endpoint.

On this page